edu.sc.seis.sod.subsetter.requestGenerator

## Class RequestGeneratorScript

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AbstractScriptSubsetter
  - - edu.sc.seis.sod.subsetter.requestGenerator.RequestGeneratorScript

- All Implemented Interfaces:
    SodElement, RequestGenerator, Subsetter

      public class RequestGeneratorScript
      extends AbstractScriptSubsetter
      implements RequestGenerator

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `config, engine, factory, script, scriptType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestGeneratorScript(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter[]` | `generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, CookieJar cookieJar)`
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter[]` | `runScript(VelocityEvent event, VelocityChannel channel, CookieJar cookieJar)` Run the script with the arguments as predefined variables.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `cleanScript, eval, preeval, pullResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestGeneratorScript

          public RequestGeneratorScript(org.w3c.dom.Element config)

  - ### Method Detail

    - #### generateRequest

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter[] generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                                                  edu.iris.Fissures.network.ChannelImpl channel,
                                                                                  CookieJar cookieJar)
                                                                           throws java.lang.Exception

      Specified by:
        `generateRequest` in interface `RequestGenerator`
      Throws:
        `java.lang.Exception`

    - #### runScript

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter[] runScript(VelocityEvent event,
                                                                            VelocityChannel channel,
                                                                            CookieJar cookieJar)
                                                                     throws java.lang.Exception

      Run the script with the arguments as predefined variables.
      Throws:
        `java.lang.Exception`